# The TransactionEntry object

### The TransactionEntry object

```json
{
  "id": "trxne_1MtkgV2eZvKYlo2CmofEnIwJ",
  "object": "treasury.transaction_entry",
  "balance_impact": {
    "cash": 0,
    "inbound_pending": 0,
    "outbound_pending": -1000
  },
  "created": 1680756271,
  "currency": "usd",
  "effective_at": 1680756271,
  "financial_account": "fa_1MtkgV2eZvKYlo2CdxyvnHeQ",
  "flow": "obt_1MtkgV2eZvKYlo2CCxhXVFLB",
  "flow_type": "outbound_transfer",
  "livemode": false,
  "transaction": "trxn_1MtkgV2eZvKYlo2CRYxD7KLh",
  "type": "outbound_transfer"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- [`balance_impact`](https://docs.stripe.com/api/treasury/transaction_entries/object.md?query=balance_impact) (object)
  The current impact of the TransactionEntry on the FinancialAccount’s balance.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (enum)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `effective_at` (timestamp)
  When the TransactionEntry will impact the FinancialAccount’s balance.

- `financial_account` (string)
  The FinancialAccount associated with this object.

- `flow` (string, nullable)
  Token of the flow associated with the TransactionEntry.

- [`flow_details`](https://docs.stripe.com/api/treasury/transaction_entries/object.md?query=flow_details) (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  Details of the flow associated with the TransactionEntry.

- `flow_type` (enum)
  Type of the flow associated with the TransactionEntry.
Possible enum values:
  - `credit_reversal`
    The Transaction is associated with a CreditReversal.

  - `debit_reversal`
    The Transaction is associated with a DebitReversal.

  - `inbound_transfer`
    The Transaction is associated with an InboundTransfer.

  - `issuing_authorization`
    The Transaction is associated with an Issuing authorization.

  - `other`
    The Transaction is associated with some other money movement not listed above.

  - `outbound_payment`
    The Transaction is associated with an OutboundPayment.

  - `outbound_transfer`
    The Transaction is associated with an OutboundTransfer.

  - `received_credit`
    The Transaction is associated with a ReceivedCredit.

  - `received_debit`
    The Transaction is associated with a ReceivedDebit.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `transaction` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The Transaction associated with this object.

- `type` (enum)
  The specific money movement that generated the TransactionEntry.
Possible enum values:
  - `credit_reversal`
    The TransactionEntry was generated by a CreditReversal.

  - `credit_reversal_posting`
    The TransactionEntry was generated by a posted CreditReversal.

  - `debit_reversal`
    The TransactionEntry was generated by a DebitReversal.

  - `inbound_transfer`
    The TransactionEntry was generated by an InboundTransfer.

  - `inbound_transfer_return`
    The TransactionEntry was generated by an InboundTransferReturn.

  - `issuing_authorization_hold`
    The TransactionEntry was generated by an Issuing authorization hold.

  - `issuing_authorization_release`
    The TransactionEntry was generated by an Issuing authorization release.

  - `other`
    The TransactionEntry was generated by some other money movement.

  - `outbound_payment`
    The TransactionEntry was generated by an OutboundPayment.

  - `outbound_payment_cancellation`
    The TransactionEntry was generated by a cancelled OutboundPayment.

  - `outbound_payment_failure`
    The TransactionEntry was generated by a failed OutboundPayment.

  - `outbound_payment_posting`
    The TransactionEntry was generated by a posted OutboundPayment.

  - `outbound_payment_return`
    The TransactionEntry was generated by a returned OutboundPayment.

  - `outbound_transfer`
    The TransactionEntry was generated by an OutboundTransfer.

  - `outbound_transfer_cancellation`
    The TransactionEntry was generated by a canceled OutboundTransfer.

  - `outbound_transfer_failure`
    The TransactionEntry was generated by a failed OutboundTransfer.

  - `outbound_transfer_posting`
    The TransactionEntry was generated by a posted OutboundTransfer.

  - `outbound_transfer_return`
    The TransactionEntry was generated by a returned OutboundTransfer.

  - `received_credit`
    The TransactionEntry was generated by a ReceivedCredit.

  - `received_debit`
    The TransactionEntry was generated by a ReceivedDebit.
